/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptsregister.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workreceiptsregister.entity.WorkReceiptsRegisterDetail;
import com.jeeplus.modules.workreceiptsregister.dao.WorkReceiptsRegisterDetailDao;

/**
 * 登记明细Service
 * @author ssrh
 * @version 2018-05-21
 */
@Service
@Transactional(readOnly = true)
public class WorkReceiptsRegisterDetailService extends CrudService<WorkReceiptsRegisterDetailDao, WorkReceiptsRegisterDetail> {

	public WorkReceiptsRegisterDetail get(String id) {
		return super.get(id);
	}
	
	public List<WorkReceiptsRegisterDetail> findList(WorkReceiptsRegisterDetail workReceiptsRegisterDetail) {
		return super.findList(workReceiptsRegisterDetail);
	}
	
	public Page<WorkReceiptsRegisterDetail> findPage(Page<WorkReceiptsRegisterDetail> page, WorkReceiptsRegisterDetail workReceiptsRegisterDetail) {
		return super.findPage(page, workReceiptsRegisterDetail);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkReceiptsRegisterDetail workReceiptsRegisterDetail) {
		super.save(workReceiptsRegisterDetail);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkReceiptsRegisterDetail workReceiptsRegisterDetail) {
		super.delete(workReceiptsRegisterDetail);
	}
	
	
	
	
}